package cn.palmte.work.service;

import cn.palmte.work.model.ProjectTaskRecord;
import cn.palmte.work.model.ProjectTaskRecordRepository;
import cn.palmte.work.utils.ActUtil;
import cn.palmte.work.utils.InterfaceUtil;
import org.activiti.engine.TaskService;
import org.activiti.engine.task.Task;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import top.jfunc.common.db.utils.Pagination;

import java.util.Date;


@Service
public class ProjectTaskRecordService {
    private static final Logger logger = LoggerFactory.getLogger(ProjectTaskRecordService.class);
    @Autowired
    private ProjectTaskRecordRepository projectTaskRecordRepository;

    @Autowired
    Pagination pagination;

    @Autowired
    private ActUtil actUtil;


    public void saveTaskRecord(Task task, int status, String comment) {
        int projectId = actUtil.getProjectId(task.getProcessInstanceId());
        if (projectId == 0) {
            return;
        }
        task.getProcessDefinitionId();
        ProjectTaskRecord record = new ProjectTaskRecord();
        record.setProjectId(projectId);
        record.setProcDefId(task.getProcessDefinitionId());
        record.setProcInsId(task.getProcessInstanceId());
        record.setTaskDefKey(task.getTaskDefinitionKey());
        record.setTaskName(task.getName());
        record.setTaskComment(comment);
        record.setTaskStatus(status);
        record.setTaskAssigneeId(InterfaceUtil.getAdminId() + "");
        record.setTaskAssigneeName(InterfaceUtil.getAdmin().getRealName());
        record.setCreateTime(new Date());
        try {
            projectTaskRecordRepository.save(record);
        } catch (Exception e) {
            logger.error("", e);
        }
    }


}
